nfct_helper Struct Reference
Collaboration diagram for nfct_helper:
[legend]

## Data Fields

char | name [NF_CT_HELPER_NAME_MAX]
uint32_t | priv_data_len
uint32_t | queue_num
uint32_t | status
struct { |
uint16_t l3num |
uint8_t l4num |
uint16_t port |
} | tuple |
struct nfct_helper_policy * | expect_policy [NF_CT_HELPER_CLASS_MAX]
uint32_t | policy_num
uint32_t | bitset

## Detailed Description

Definition at line 75 of file libnetfilter_cthelper.c.

## Field Documentation

## bitset

uint32_t nfct_helper::bitset

Definition at line 88 of file libnetfilter_cthelper.c.

## expect_policy

struct nfct_helper_policy* nfct_helper::expect_policy[NF_CT_HELPER_CLASS_MAX]

Definition at line 85 of file libnetfilter_cthelper.c.

## l3num

uint16_t nfct_helper::l3num

Definition at line 81 of file libnetfilter_cthelper.c.

## l4num

uint8_t nfct_helper::l4num

Definition at line 82 of file libnetfilter_cthelper.c.

## name

char nfct_helper::name[NF_CT_HELPER_NAME_MAX]

Definition at line 76 of file libnetfilter_cthelper.c.

## policy_num

uint32_t nfct_helper::policy_num

Definition at line 86 of file libnetfilter_cthelper.c.

## port

uint16_t nfct_helper::port

Definition at line 83 of file libnetfilter_cthelper.c.

## priv_data_len

uint32_t nfct_helper::priv_data_len

Definition at line 77 of file libnetfilter_cthelper.c.

## queue_num

uint32_t nfct_helper::queue_num

Definition at line 78 of file libnetfilter_cthelper.c.

## status

uint32_t nfct_helper::status

Definition at line 79 of file libnetfilter_cthelper.c.

The documentation for this struct was generated from the following file:

- libnetfilter_cthelper.c